request = container.REQUEST

node = request.other['node']
folder = request.other['container']

meta_type = node.getAttribute('meta_type')
view_type = node.getAttribute('view_type')

renderings = [ c.view(view_type=view_type) for c in folder.get_ordered_publishables()
               if c.meta_type == meta_type and c.is_published() ]
return '\n'.join(renderings)
