request = container.REQUEST

node   = request.other['node']
folder = request.other['container']

# XXX convert from unicode, as getattr barfs otherwise ...
content_id = str(node.getAttribute('content_id'))
content = getattr(folder, content_id, None)

# XXX we want to check here if the attribute is a proper content object ...
if content is not None:
    if not hasattr(content,'meta_type') or content.get_container() != folder:
        content = None
    if content.meta_type == node.get_content().meta_type:
        # avoid possible recursion ...
        content = None

return content
