#
# stupid summary view: renders everything up to the first paragraph ...
#
request = container.REQUEST

node = request.other['node']
viewer = container.service_editor.getViewer()

renderings = []

if not request.other.get('suppress_title',None):
    title = node.get_version().get_title()
    renderings.append('<h3 class="heading">%s</h3>'% title)

nodes = []
for child in node.childNodes:
    if child.nodeType != node.ELEMENT_NODE:
        continue
    nodes.append(child)
    if child.nodeName=='p':
        more = (child.nextSibling is not None)
        break
else:
    more = None

renderings.extend([ viewer.getWidget(child).render() for child in nodes ])

if more:
    content_url = node.content_url()
    renderings.append('<br /><a href="%s">more ...</a>' % content_url)

return '\n'.join(renderings)
