#
# some helpers used by the python code
#
from Products.XMLWidgets.WidgetRegistry import WidgetRegistry, manage_addWidgetRegistry


def check_widget(folder, id):
    widget = folder._getOb(id, None)
    if widget is None:
        manage_addWidgetRegistry(folder,id)
        widget = folder._getOb(id)
    else:
        if widget.meta_type != WidgetRegistry.meta_type:
            raise TypeError, '%s should be of type %s, but is of type %s' \
                  % (id, WidgetRegistry.meta_type, widget.meta_type)
        widget.clearWidgets()
    return widget


def copy_widget(folder, object, new_id):
    """ copy a thingy to 'new_id'
    """
    # actually used for widget registries, hence the name
    if folder._getOb(new_id, None) is not None:
        folder.manage_delObjects( [new_id] )
    return folder.manage_clone(object, new_id)
